## pystring 1.1.3

=== Makefile ===
LIBTOOL = libtool
LIBDIR = /usr/lib
CXX = g++
CXXFLAGS = -g -O3 -Wall -Wextra -Wshadow -Wconversion -Wcast-qual -Wformat=2

all: libpystring.la

pystring.lo: pystring.h pystring.cpp
	$(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(CXXFLAGS) -c pystring.cpp

libpystring.la: pystring.lo
	$(LIBTOOL) --mode=link --tag=CXX $(CXX) -o $@ $< -rpath $(LIBDIR)

install: libpystring.la
	$(LIBTOOL) --mode=install install -c $< $(LIBDIR)/$<

clean:
	$(RM) -fr pystring.lo pystring.o libpystring.la .libs

.PHONY: test
test:
	$(RM) -fr test
	$(CXX) pystring.cpp test.cpp $(CXXFLAGS) -DPYSTRING_UNITTEST=1 -o test
	./test

=== debian/changelog ===
pystring (1.1.3-2) unstable; urgency=medium

  * debian/libpystring-dev.install: fix installation path
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)
  * debian/gbp.conf: drop xz compression setting.
    Thanks to Andrius Merkys <merkys> for pointing this out.

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 16 Oct 2021 17:20:28 +0200

pystring (1.1.3-1) experimental; urgency=medium

  * Initial release (Closes: #992013)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 08 Aug 2021 22:24:02 +0200

=== debian/control ===
Source: pystring
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtool-bin
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/imageworks/pystring
Vcs-Git: https://salsa.debian.org/multimedia-team/pystring.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pystring

Package: libpystring0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: collection of C++ functions for Python's string class methods - runtime
 Pystring is a collection of C++ functions which match the interface
 and behavior of Python's string class methods using std::string.
 Implemented in C++, it does not require or make use of a Python
 interpreter. It provides convenience and familiarity for common
 string operations not included in the standard C++ library.
 It's also useful in environments where both C++ and Python are used.
 .
 Overlapping functionality (such as index and slice/substr) of
 std::string is included to match Python interfaces.
 .
 This package provides the shared libraries.

Package: libpystring-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpystring0 (= ${binary:Version}),
 ${misc:Depends}
Description: collection of C++ functions for Python's string class methods - development
 Pystring is a collection of C++ functions which match the interface
 and behavior of Python's string class methods using std::string.
 Implemented in C++, it does not require or make use of a Python
 interpreter. It provides convenience and familiarity for common
 string operations not included in the standard C++ library.
 It's also useful in environments where both C++ and Python are used.
 .
 Overlapping functionality (such as index and slice/substr) of
 std::string is included to match Python interfaces.
 .
 This package provides the headers.

## pystring 1.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(pystring CXX)

set(BUILD_SHARED_LIBS YES)

add_library(pystring
    pystring.cpp
    pystring.h
)

add_executable (pystring_test test.cpp)
TARGET_LINK_LIBRARIES (pystring_test pystring)

enable_testing()
add_test(NAME PyStringTest COMMAND pystring_test)

include(GNUInstallDirs)

install(TARGETS pystring
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-LIBTOOL = libtool
-LIBDIR = /usr/lib
-CXX = g++
-CXXFLAGS = -g -O3 -Wall -Wextra -Wshadow -Wconversion -Wcast-qual -Wformat=2
+LIBTOOL ?= libtool
+LIBDIR ?= /usr/lib
+CXX ?= g++
+CXXFLAGS ?= -g -O3 -Wall -Wextra -Wshadow -Wconversion -Wcast-qual -Wformat=2
 
 all: libpystring.la

=== debian/changelog ===
pystring (1.1.4-2) unstable; urgency=medium

  * d/libpystring-dev.install: install .h in sys-wide path
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 11 Sep 2024 13:56:31 +0200

pystring (1.1.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - fix Vcs-* fields with correct team
    - S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 20:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  libtool-bin
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/imageworks/pystring
-Vcs-Git: https://salsa.debian.org/multimedia-team/pystring.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/pystring
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/pystring.git
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pystring
 
 Package: libpystring0
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pystring-$1\.tar\.gz/ \
https://github.com/imageworks/pystring/tags .*/v?(\d\S+)\.tar\.gz
